# Hotkeys

The joy of Linux flows from the keyboard. Training yourself to navigate and command as much of the operating system through hotkeys is the path to mastery of your machine.

## Navigating

| Hotkey          | Function             |
| --------------- | -------------------- |
| Super + Space   | Type app to launch   |
| Super + W       | Close app            |
| Super + 1/2/3/4 | Jump to workspace    |
| Alt + 1/2/3/..  | Jump to dock app     |
| Ctrl + 1/2/3/.. | Jump to browser tab  |

## Tiling

| Hotkey              | Function                    |
| ------------------- | --------------------------- |
| F11                 | Go full screen              |
| Shift + F11         | Go full screen w/ title bar |
| Super + Left arrow  | Fill left half              |
| Super + Right arrow | Fill right half             |
| Super + Up arrow    | Fill full screen            |
| Super + T           | Tiling overlay              |
| Super + T W S       | Fill center vertical        |
| Super + T Q A       | Fill left vertical          |
| Super + T E D       | Fill right vertical         |
| Super + T Q Q       | Fill upper left             |
| Super + T A A       | Fill lower left             |

## Terminal

| Hotkey              | Function                    |
| ------------------- | --------------------------- |
| Ctrl + P N          | New vertical pane           |
| Ctrl + P D          | New horizontal pane         |
| Alt + Arrow         | Navigate panes (and tabs)   |
| Alt + =             | Expand pane                 |
| Alt + -             | Shrink pane                 |
| Ctrl + T N          | New tab                     |
| Ctrl + T R          | Rename tab                  |
| Ctrl + O D          | Suspend session             |
| Ctrl + S            | Scroll mode (use pgup/down) |
| Ctrl + R            | Reveal command history      |

## Neovim (w/ lazyvim)

### Navigation

| Hotkey                   | Function                        |
| ------------------------ | ------------------------------- |
| Space                    | Show command options            |
| Space Space              | Open file via fuzzy search      |
| Space E                  | Toggle sidebar                  |
| Space G G                | Show git controls               |
| Space S G                | Search file content             |
| Ctrl + W W               | Jump between sidebar and editor |
| Ctrl + Left/right arrow  | Change size of sidebar          |
| [ B                      | Go to left file tab             |
| ] B                      | Go to right file tab            |
| Space B D                | Close file tab                  |

### While in sidebar

| Hotkey                   | Function                        |
| ------------------------ | ------------------------------- |
| A                        | Add new file in parent dir      |
| Shift + A                | Add new subdir in parent dir    |
| D                        | Delete highlighted file/dir     |
| M                        | Move highlighted file/dir       |
| R                        | Rename highlighted file/dir     |
| ?                        | Show help for all commands      |
